প্রচারণা
GET https://popupke.com/api/campaigns/
curl --request GET \
--url 'https://popupke.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://popupke.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| পরামিতি | বিস্তারিত | বর্ণনা |
|---|---|---|
| search | ঐচ্ছিক স্ট্রিং | অনুসন্ধান স্ট্রিং. |
| search_by | ঐচ্ছিক স্ট্রিং | What field are you searching by. Allowed values are: name, domain. |
| is_enabled | ঐচ্ছিক বুলিয়ান | |
| datetime_field | ঐচ্ছিক স্ট্রিং | Allowed values: datetime, last_datetime |
| datetime_start | ঐচ্ছিক স্ট্রিং | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | ঐচ্ছিক স্ট্রিং | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | ঐচ্ছিক স্ট্রিং | What field to order the results by. Allowed values are: campaign_id, datetime, last_datetime, name, domain. |
| order_type | ঐচ্ছিক স্ট্রিং | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | ঐচ্ছিক পূর্ণসংখ্যা | The page number that you want results from. Defaults to 1. |
| results_per_page | ঐচ্ছিক পূর্ণসংখ্যা | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890abcdef",
"name": "Example",
"domain": "example.com",
"branding": {
"name": "",
"url": ""
},
"email_reports_is_enabled": true,
"email_reports_last_datetime": "2019-05-22 23:40:17",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-21 01:37:00",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://popupke.com/api/campaigns?page=1",
"last": "https://popupke.com/api/campaigns?page=1",
"next": null,
"prev": null,
"self": "https://popupke.com/api/campaigns?page=1"
}
}
GET https://popupke.com/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://popupke.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://popupke.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890abcdef",
"name": "Example",
"domain": "example.com",
"branding": {
"name": "",
"url": ""
},
"email_reports_is_enabled": true,
"email_reports_last_datetime": "2019-05-22 23:40:17",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-21 01:37:00",
}
}
POST https://popupke.com/api/campaigns
| পরামিতি | বিস্তারিত | বর্ণনা |
|---|---|---|
| domain_id | ঐচ্ছিক পূর্ণসংখ্যা | - |
| name | প্রয়োজন স্ট্রিং | - |
| domain | প্রয়োজন স্ট্রিং | - |
| branding_name | ঐচ্ছিক স্ট্রিং | - |
| branding_url | ঐচ্ছিক স্ট্রিং | - |
| email_reports | ঐচ্ছিক অ্যারে | Notification handler ids |
| is_enabled | ঐচ্ছিক বুলিয়ান | - |
curl --request POST \
--url 'https://popupke.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
--url 'https://popupke.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
{
"data": {
"id": 1
}
}
POST https://popupke.com/api/campaigns/{campaign_id}
| পরামিতি | বিস্তারিত | বর্ণনা |
|---|---|---|
| domain_id | ঐচ্ছিক পূর্ণসংখ্যা | - |
| name | ঐচ্ছিক স্ট্রিং | - |
| domain | ঐচ্ছিক স্ট্রিং | - |
| branding_name | ঐচ্ছিক স্ট্রিং | - |
| branding_url | ঐচ্ছিক স্ট্রিং | - |
| email_reports | ঐচ্ছিক অ্যারে | Notification handler ids |
| is_enabled | ঐচ্ছিক বুলিয়ান | - |
curl --request POST \
--url 'https://popupke.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://popupke.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://popupke.com/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://popupke.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://popupke.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \